DELETE /api/v3/reading

Deletes one or more sets of meter readings. Each set of meter readings to be deleted is on one channel and covers a time range signified by a begin and end date and time. The time range includes all readings greater than the begin time and less than or equal to the end date and time. To delete only one reading, set the begin and end date and time to the same value.

DeleteReadingsV3 Permissions: IntervalData (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Request Body

Array of:

ReadingDelete
Property Description Type
channelId The identifier for the channel of the reading Required integer (int32)
timeBegin The begin date and time of the set of readings to be deleted. If provided, readings after but NOT including the provided begin date and time will be deleted. string (date-time)
timeEnd The end date and time of the set of readings to be deleted. If provided, readings up to and including the provided end date and time will be deleted. string (date-time)
Example Request Body application/json
[
  {    "channelId": 1,    "timeBegin": "2026-03-30",    "timeEnd": "2026-03-30"
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

DeleteReadingResponse
Property Description Type
deleted The number of readings deleted integer (int32)
failures Data representing the failed reading deletion ReadingDelete[]
ReadingDelete properties
Property Description Type
channelId The identifier for the channel of the reading Required integer (int32)
timeBegin The begin date and time of the set of readings to be deleted. If provided, readings after but NOT including the provided begin date and time will be deleted. string (date-time)
timeEnd The end date and time of the set of readings to be deleted. If provided, readings up to and including the provided end date and time will be deleted. string (date-time)
Example Response application/json
{  "deleted": 1,  "failures": [
    {    "channelId": 1,    "timeBegin": "2026-03-30",    "timeEnd": "2026-03-30"
  }
  ]
}